<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/index.web.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../index.html">All files</a> / <a href="index.html">src</a> index.web.js
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">30% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>6/20</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/2</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">27.27% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>3/11</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">31.58% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>6/19</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165</td><td class="line-coverage quiet"><span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">require('es6-promise').polyfill();
&nbsp;
import React from 'react';
import fetch from 'isomorphic-fetch';
&nbsp;
import './styles/index.css';
&nbsp;
import Tile from './components/Tile';
&nbsp;
class WebApp extends React.Component {
&nbsp;
  constructor(props) {
    super(props);
    this.state = {
      creditcards: []
    };
  }
&nbsp;
  componentWillMount() {
    fetch('/~/services/creditcards')
      .then(<span class="fstat-no" title="function not covered" >fu</span>nction(response) {
<span class="cstat-no" title="statement not covered" >        if (response.status &gt;= 400) {</span>
<span class="cstat-no" title="statement not covered" >          throw new Error("Bad response from server");</span>
        }
<span class="cstat-no" title="statement not covered" >        return response.json();</span>
      })
      .then(<span class="fstat-no" title="function not covered" >(d</span>ata) =&gt; {
<span class="cstat-no" title="statement not covered" >        this.setState(<span class="fstat-no" title="function not covered" >()</span> =&gt; (<span class="cstat-no" title="statement not covered" >{</span></span>
          creditcards: data.creditcards,
        }));
      });
  }
&nbsp;
  applyBtn = <span class="fstat-no" title="function not covered" >(e</span>vent) =&gt; {
<span class="cstat-no" title="statement not covered" >    event.preventDefault();</span>
<span class="cstat-no" title="statement not covered" >    console.log(event.target);</span>
  }
&nbsp;
&nbsp;
  termBtn = <span class="fstat-no" title="function not covered" >(e</span>vent) =&gt; {
<span class="cstat-no" title="statement not covered" >    event.preventDefault();</span>
<span class="cstat-no" title="statement not covered" >    console.log(event.target);</span>
  }
&nbsp;
  viewBtn = <span class="fstat-no" title="function not covered" >(e</span>vent) =&gt; {
<span class="cstat-no" title="statement not covered" >    event.preventDefault();</span>
<span class="cstat-no" title="statement not covered" >    console.log(event.target);</span>
  }
&nbsp;
  learnMoreBtn = <span class="fstat-no" title="function not covered" >(e</span>vent) =&gt; {
<span class="cstat-no" title="statement not covered" >    event.preventDefault();</span>
<span class="cstat-no" title="statement not covered" >    console.log(event.target);</span>
  }
&nbsp;
  render() {
    // return  (
    //   &lt;main&gt;
    //     &lt;div className="container"&gt;
    //       &lt;div className="row"&gt;
    //         {this.state.creditcards.map((data) =&gt; {
    //           switch (data.type) {
    //           case 'a':
    //             return (
    //               &lt;ComponentA {...data} /&gt;
    //             );
    //           case 'b':
    //             return (
    //               &lt;ComponentB {...data}
    //                 applyBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }}
    //                 termBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }}
    //                 learnMoreBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }} /&gt;
    //             );
    //           case 'c':
    //             return (
    //               &lt;ComponentC {...data} /&gt;
    //             );
    //           case 'd':
    //             return (
    //               &lt;ComponentD {...data}
    //                 applyBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }}
    //                 viewBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }} /&gt;
    //             );
    //           case 'e':
    //             return (
    //               &lt;ComponentE {...data} /&gt;
    //             );
    //           case 'f':
    //             return (
    //               &lt;ComponentF {...data}
    //                 applyBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }}
    //                 learnMoreBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }} /&gt;
    //             );
    //           case 'g':
    //             return (
    //               &lt;ComponentG {...data}
    //                 applyBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }}
    //                 learnMoreBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }} /&gt;
    //             );
    //           case 'h':
    //             return (
    //               &lt;ComponentH {...data}
    //                 applyBtn={(event) =&gt; {
    //                   event.preventDefault();
    //                   console.log(event.target);
    //                 }} /&gt;
    //             );
    //           default:
    //             return (
    //               &lt;ComponentA {...data} /&gt;
    //             );
    //           }
    //         })}
    //       &lt;/div&gt;
    //     &lt;/div&gt;
    //   &lt;/main&gt;
    // );
&nbsp;
    return (
      &lt;main&gt;
        &lt;div className="container"&gt;
          &lt;div className="row"&gt;
            {
              this.state.creditcards.map(<span class="fstat-no" title="function not covered" >(d</span>ata, index) =&gt; <span class="cstat-no" title="statement not covered" >&lt;Tile {...data}</span>
                key={index}                   
                applyBtn={this.applyBtn}
                termBtn={this.termBtn}
                viewBtn={this.viewBtn}
                learnMoreBtn={this.learnMoreBtn} 
              /&gt;)
            }
          &lt;/div&gt;
        &lt;/div&gt;
      &lt;/main&gt;
    );
  }
}
&nbsp;
export default WebApp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="https://istanbul.js.org/" target="_blank">istanbul</a> at Tue Oct 24 2017 03:22:27 GMT+0530 (IST)
</div>
</div>
<script src="../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../sorter.js"></script>
</body>
</html>
